# Middleware Framework for Node.js

## Usage
```js
import { createServer } from 'http'
import createApp from 'plugable'

const { use, httpHandler } = createApp()

use((request, next) => {
  request.foo = 'bar'
  return next(request)
})

use(async (request, next) => {
  const response = await next(request)
  console.log(response.foo) // 'bar'
  return response
})

createServer(httpHandler).listen(80, '127.0.0.1', () => {
  console.log('Server running at http://localhost/')
})
```
