const createHttpRequest = require('./http-request')
const pipeThrough = require('./middleware')
const createHttpResponse = require('./http-response')

module.exports = () => {
  const middleware = []

  return {
    use: fn => {
      middleware.push(fn)
    },

    httpHandler: (httpRequest, httpResponse) => {
      const { onResolved, onRejected } = createHttpResponse(httpResponse)

      createHttpRequest(httpRequest)
        .then(pipeThrough(middleware))
        .then(onResolved)
        .catch(onRejected)
    }
  }
}
